API Reference
API Reference

/timeoff/balances

Returns a collection of your time off balances concerning all time off categories. Required scope: r_timeoff.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

🚧

This particular endpoint uses r_timeoff scope, which can be enabled through the Integrations section found within the Settings menu. Account level tokens need employee_id as query parameter to work.

Results

Calling the /timeoff/balances endpoint will return a collection of all time off balances for a specific employee for the current cycle. An example of the response follows:

{
	"balances": [
		{
			"units_available": "13.00",
			"units_carry_over_available": "0.00",
			"units_used": "0.00",
			"has_unlimited_timeoff": false,
			"category_id": "76f",
			"time_off_tracking_unit": "full_days",
			"name": "Sick leave",
			"description": "For paid time away from work due to illness or sickness."
		},
		{
			"units_available": "1.62",
			"units_carry_over_available": "0.00",
			"units_used": "0.00",
			"has_unlimited_timeoff": false,
			"category_id": "76e",
			"time_off_tracking_unit": "half_days",
			"name": "Paid time off ",
			"description": "For vacations, holidays and other paid time away from work."
		}
	]
}

Each timeoff balance will have the following keys:

keytypedescription
units_availablestringA string representation of the available units for the specific time off category
units_carry_over_availablestringA string representation of the available units derived from a previous time off cycle
units_usedstringA string representation of the units used during the current cycle
has_unlimited_timeoffbooleanA boolean representation whether the category refers to an unlimited time off category
category_idstringThe uid of the time off category
time_off_tracking_unitintegerTime off tracking unit, half_days or full_days are the valid options
descriptionstringA description of the time off category implied by the time off balance
Query Params
string

The employee to retrieve time off requests for. Required for account tokens. Optional for user tokens — when omitted, defaults to the authenticated user's employee.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json